unit UnitConfig;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, spin;

type
  TFormConfig = class(TForm)
    Label2: TLabel ;
    Label3: TLabel ;
    spnEpaisseur: TSpinEdit;
    spnVitesse: TSpinEdit;
    btnOK: TBitBtn;
    btnCancel: TBitBtn;
    btnTest: TBitBtn;
    procedure FormCreate(Sender: TObject);
    procedure btnOKClick(Sender: TObject);
    procedure btnCancelClick(Sender: TObject);
    procedure btnTestClick(Sender: TObject);
  private
    { Private declarations }
    procedure LitConfig;  // lit la config dans un fichier ini
    procedure SauveConfig; // sauve la config dans un fichier ini
  public
    { Public declarations }
  end;

var
  FormConfig: TFormConfig;

implementation

{$R *.DFM}

uses
  UnitEco,
  IniFiles;


procedure TFormConfig.LitConfig;
// prends les valeurs de Epaisseur et Vitesse dans le fichier de config
var
   FicIni : TIniFile;
begin
  FicIni := TIniFile.Create(ExtractFilePath(Application.ExeName)+
  'Economiseur.ini'); // ExtractFilePath pour que le .ini se trouve dans le mme directory que l'excutable
  spnEpaisseur.Value := FicIni.ReadInteger('Config', 'Epaisseur', 100);
  spnVitesse.Value   := FicIni.ReadInteger('Config', 'Vitesse', 10);
  FicIni.Free;
end;

procedure TFormConfig.SauveConfig;
// sauve les valeurs de Epaisseur et Vitesse dans le fichier de config
var
   FicIni : TIniFile;
begin
  FicIni := TIniFile.Create(ExtractFilePath(Application.ExeName)+
  'economiseur.ini');
  FicIni.WriteInteger('Config', 'Epaisseur', spnEpaisseur.Value);
  FicIni.WriteInteger('Config', 'Vitesse', spnVitesse.Value);
  FicIni.Free;
end;

procedure TFormConfig.FormCreate(Sender: TObject);
begin
  LitConfig;
end;

procedure TFormConfig.btnOKClick(Sender: TObject);
begin
  SauveConfig;
  Close;
end;

procedure TFormConfig.btnCancelClick(Sender: TObject);
begin
  Close;
end;

procedure TFormConfig.btnTestClick(Sender: TObject);
begin
  FormEco.Show;
end;

end.
